1. Mutual Fund APIs
  • Mutual Funds Data API - Introduction
  • Authentication, Request & Response
  • Code Samples & API Trial
  • List of APIs
  • Mutual Fund APIs
    • GetAMCMaster
      GET
    • GetSchemeMaster
      GET
    • GetSchemeTypeMaster
      GET
    • GetSchemeCategoryMaster
      GET
    • GetNAV
      GET
    • GetNAVHistory
      GET
    • GetAUM
      GET
    • GetAUMHistory
      GET
    • GetAumSchemeComparison
      GET
    • GetAumTopGainersLosers
      GET
    • GetHoldings
      GET
    • GetHoldingsSearch
      GET
    • GetHoldingsWhatChanged
      GET
    • GetHoldingsByType
      GET
    • GetNewFundOffers
      GET
  • Helper Functions
    • GetLimitation
      GET
    • GetServerInfo
      GET
  • Diagnostic API Responses
    • Diagnostic API Responses
  • Release Notes
    • 📢Release Notes
  1. Mutual Fund APIs

GetNewFundOffers

GET
https://test.lisuns.com:4532/GetNewFundOffers
▶️ 'Try It' now !
pointer.gif
The GetNewFundOffers returns official details on upcoming mutual fund launches, covering offer dates, scheme names and objectives, types and categories, subscription periods, minimum investment amounts, load structures, websites, and receipt timestamps.

What is returned?#

Date, MutualFund, SchemeName, Objective, SchemeType, SchemeCategory, NewFundLaunchDate, NewFundEarliestClosureDate, NewFundOfferClosureDate, IndicateLoadSeparately, MinimumSubscriptionAmount, Website, ReceivedAt

Sample Response#

JSON
XML
CSV
CsvContent
{
"Value": [
{
"Date": "02-13-2026",
"MutualFund": "HDFC Mutual Fund",
"SchemeName": "HDFC Nifty India Consumption Index Fund",
"Objective": "Passive investment in equity and equity related securities replicating the composition of the Nifty India Consumption Index (TRI), subject to tracking errors.",
"SchemeType": "Open Ended",
"SchemeCategory": "Other Scheme - Index Funds",
"NewFundLaunchDate": "02-04-2026",
"NewFundEarliestClosureDate": "02-13-2026",
"NewFundOfferClosureDate": "02-13-2026",
"IndicateLoadSeparately": "NIL",
"Website": "https://www.hdfcfund.com",
"MinimumSubscriptionAmount": "100",
"ReceivedAt": "02-15-2026 16:48:52"
},
{
"Date": "02-04-2026",
"MutualFund": "Kotak Mahindra Mutual Fund",
"SchemeName": "Kotak Services Fund",
"Objective": "An open-ended equity scheme following services theme",
"SchemeType": "Open Ended",
"SchemeCategory": "Equity Scheme - Sectoral/ Thematic",
"NewFundLaunchDate": "02-04-2026",
"NewFundEarliestClosureDate": "01-01-0001",
"NewFundOfferClosureDate": "02-18-2026",
"IndicateLoadSeparately": "",
"Website": "https://www.kotakmf.com",
"MinimumSubscriptionAmount": "100",
"ReceivedAt": "02-15-2026 16:48:52"
}
]
}

Request

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://test.lisuns.com:4532/GetNewFundOffers?accessKey=4f863b18-f33e-4260-aa65-c60c1ad88686&mutualFund=&range=Past365Days&dTFormat=String&format=Json'

Responses

🟢200
application/json
Success
Body

Example
{
    "value": [
        {
            "date": "02-25-2025",
            "mutualFund": "string",
            "schemeName": "string",
            "objective": "string",
            "schemeType": "string",
            "schemeCategory": "string",
            "newFundLaunchDate": "02-25-2025",
            "newFundEarliestClosureDate": "02-25-2025",
            "newFundOfferClosureDate": "02-25-2025",
            "indicateLoadSeparately": "string",
            "website": "string",
            "minimumSubscriptionAmount": "string",
            "receivedAt": "02-25-2025 18:00:00"
        }
    ],
    "count": 0
}
Previous
GetHoldingsByType
Next
GetLimitation
Built with